'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var template = _ref.template;

  var wrapperIfTemplate = template('\n    if (process.env.NODE_ENV !== "production") {\n      NODE;\n    }\n  ');

  var VISITED_KEY = 'transform-dev-warning-' + Date.now();

  return {
    visitor: {
      Program: function Program(path) {
        // On program start, do an explicit traversal up front for this plugin.
        path.traverse({
          CallExpression: function CallExpression(path2) {
            if (path2.node[VISITED_KEY]) {
              return;
            }

            path2.node[VISITED_KEY] = true;

            if (path2.node.callee.name === 'warning') {
              path2.replaceWith(wrapperIfTemplate({
                NODE: path2.node
              }));
            }
          }
        });
      }
    }
  };
};